### Struct

# Qmi MessageDmsSetFirmwarePreferenceInput

since: 1.0

#### Description [src]

    struct QmiMessageDmsSetFirmwarePreferenceInput {
      /* No available fields */
    }

The `QmiMessageDmsSetFirmwarePreferenceInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Constructors

###### qmi_message_dms_set_firmware_preference_input_new

Allocates a new `QmiMessageDmsSetFirmwarePreferenceInput`.

since: 1.0

#### Instance methods

###### qmi_message_dms_set_firmware_preference_input_get_download_override

Get the ‘Download Override’ field from `self`.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_get_list

Get the ‘List’ field from `self`.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_get_list_gir

Get the ‘List’ field from `self`.

since: 1.32

###### qmi_message_dms_set_firmware_preference_input_get_modem_storage_index

Get the ‘Modem Storage Index’ field from `self`.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_ref

Atomically increments the reference count of `self` by one.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_set_download_override

Set the ‘Download Override’ field in the message.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_set_list

Set the ‘List’ field in the message.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_set_list_gir

Set the ‘List’ field in the message.

since: 1.32

###### qmi_message_dms_set_firmware_preference_input_set_modem_storage_index

Set the ‘Modem Storage Index’ field in the message.

since: 1.0

###### qmi_message_dms_set_firmware_preference_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.0